<textarea  id="inputArea"
oninput=trans()></textarea>
<textarea id="resultArea"></textarea>
<script>
var trans = function(){
        let value = document.getElementById("inputArea").value
        value = translit(value)
    }

    async function  translit(str) {
        const server_url = `http://127.0.0.1:8000/api`
        // let  addr = "";
        // let req = "";
        const options = {
            method: "post",
            mode: 'cors',
            headers: {"Access-Control-Allow-Origin": "http://127.0.0.1:8000/api",
                    "Content-Type": "application/json"},
            body: JSON.stringify({data: str})
        };
        // console.log(options)
        try {
  const response = await fetch(server_url, options);
  const json = await response.json();
  console.log('Sucess:', JSON.stringify(json))
  console.log('Sucess:', json)
  console.log('Sucess:', json.data)
  document.getElementById("resultArea").value = json.data;

} catch (error) {
  console.error('Err:', error);
}
    //   .then(res => {
    //       console.log(res.json())}, failure => {console.log("failure")})
    //     //   res.json()})

    }
 

</script>

